Hàng triệu máy tính, điện thoại và thiết bị có kết nối Internet khác không thể truy cập mạng sau ngày 30/9 nếu còn sử dụng phần mềm cũ.

Theo Entrepreneur, nhiều phương tiện truyền thông loan tin, sắp xảy ra "sự cố Internet" khiến hàng triệu máy tính, smartphone và các thiết bị có kết nối với Internet, chẳng hạn như máy chơi game cầm tay, không thể truy cập mạng.

Tin đồn xuất phát từ một vấn đề có thật. Vào ngày 30/9/2021, chứng chỉ IdentTrust DST Root CA X3 sẽ hết hạn. Đây là tiêu chuẩn mã hóa kết nối giữa thiết bị của người dùng với Internet, đảm bảo rằng không ai có thể chặn và đánh cắp dữ liệu khi truyền đi.

Những người sử dụng thiết bị quá cũ có thể gặp sự cố kết nối Internet sau ngày 30/9. Ảnh: Unsplash

Những người sử dụng thiết bị quá cũ có thể gặp sự cố kết nối Internet sau ngày 30/9. Ảnh: Unsplash.

Nói một cách đơn giản, khi người dùng truy cập trang web bắt đầu với https, đường truyền sẽ được bảo mật bởi những chứng chỉ khác nhau, trong đó có IdentTrust DST Root CA X3.

Tổ chức phi lợi nhuận Let's Encrypt là đơn vị phát hành IdentTrust DST Root CA X3, tuy nhiên, họ sẽ ngừng cung cấp chứng chỉ sau ngày 30/9.

Theo TechCrunch, việc này không ảnh hưởng đến phần lớn người dùng Internet trên thế giới. Tuy nhiên, vẫn có những máy tính, thiết bị và trình duyệt không thể kết nối mạng nếu chúng chưa được cập nhật.

Cụ thể, những dòng máy không được nâng cấp thường xuyên, chẳng hạn như hệ thống nhúng không có tính năng tự động cập nhật hoặc smartphone chạy phiên bản hệ điều hành lạc hậu, sẽ thuộc nhóm bị ảnh hưởng.

"Người dùng đang sử dụng macOS 2016, Windows XP (SP 3) hoặc cũ hơn, các phần mềm dựa trên OpenSSL 1.0.2 trở xuống và PlayStations 4 chưa được nâng cấp firmware mới có thể gặp phải sự cố", TechCrunch cho biết.

Đối với các dòng máy chạy Android, Let's Encrypt đã gia hạn hiệu lực chứng chỉ cho thiết bị chạy phiên bản cũ hơn Android 7.1.1 thêm 3 năm, nhưng phiên bản 2.3.6 trở xuống có thể bị ngưng hỗ trợ hoàn toàn.

Những người dùng phiên bản cũ hơn iOS 10 cũng sẽ bị ảnh hưởng bởi sự cố. Hiện tại iPhone 5 là model thấp nhất có thể lên được hệ điều hành này, do đó, iPhone 4s, iPad 3, iPad mini và iPod touch gen 5 trở xuống nhiều khả năng gặp vấn đề khi kết nối Internet sau 30/9.

Nếu đang sử dụng các thiết bị ra đời từ nhiều năm trước và không chắc về khả năng chịu ảnh hưởng bởi sự cố này, bạn nên kiểm tra bản cập nhật phần mềm dành cho máy và trình duyệt web để nâng cấp lên phiên bản mới nhất.